loci.plugins.in

## Class ImporterOptions

- java.lang.Object
- - loci.plugins.prefs.OptionsList
  - - loci.plugins.in.ImporterOptions

-     public class ImporterOptions
      extends OptionsList

  Helper class for managing Bio-Formats Importer options. Gets default parameter values from IJ_Prefs.txt.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.List<java.lang.Integer>` | `cBegin`
    `private java.util.List<java.lang.Integer>` | `cEnd`
    `private static java.lang.String` | `CLASS_IMAGE_5D`
    `private static java.lang.String` | `CLASS_VIEW_5D`
    `static java.lang.String` | `COLOR_MODE_COLORIZED`
    `static java.lang.String` | `COLOR_MODE_COMPOSITE`
    `static java.lang.String` | `COLOR_MODE_CUSTOM`
    `static java.lang.String` | `COLOR_MODE_DEFAULT`
    `static java.lang.String` | `COLOR_MODE_GRAYSCALE`
    `private java.util.List<loci.common.Region>` | `cropRegion`
    `private java.util.List<java.lang.Integer>` | `cStep`
    `private java.util.List<java.util.List<DoubleOption>>` | `customColors`
    `private static java.awt.Color[]` | `DEFAULT_COLORS` Default custom colors for each channel.
    `private java.util.List<java.lang.String>` | `inputOrder`
    `static java.lang.String` | `KEY_AUTOSCALE`
    `static java.lang.String` | `KEY_COLOR_MODE`
    `static java.lang.String` | `KEY_CONCATENATE`
    `static java.lang.String` | `KEY_CROP`
    `static java.lang.String` | `KEY_FIRST`
    `static java.lang.String` | `KEY_FORCE_THUMBS`
    `static java.lang.String` | `KEY_GROUP_FILES`
    `static java.lang.String` | `KEY_ID`
    `static java.lang.String` | `KEY_LOCATION`
    `static java.lang.String` | `KEY_MUST_GROUP`
    `static java.lang.String` | `KEY_OPEN_ALL_SERIES`
    `static java.lang.String` | `KEY_QUIET`
    `static java.lang.String` | `KEY_ROIS_MODE`
    `static java.lang.String` | `KEY_SHOW_METADATA`
    `static java.lang.String` | `KEY_SHOW_OME_XML`
    `static java.lang.String` | `KEY_SHOW_ROIS`
    `static java.lang.String` | `KEY_SPECIFY_RANGES`
    `static java.lang.String` | `KEY_SPLIT_C`
    `static java.lang.String` | `KEY_SPLIT_T`
    `static java.lang.String` | `KEY_SPLIT_Z`
    `static java.lang.String` | `KEY_STACK_FORMAT`
    `static java.lang.String` | `KEY_STACK_ORDER`
    `static java.lang.String` | `KEY_STITCH_TILES`
    `static java.lang.String` | `KEY_SWAP_DIMS`
    `static java.lang.String` | `KEY_UNGROUP_FILES`
    `static java.lang.String` | `KEY_UPGRADE_CHECK`
    `static java.lang.String` | `KEY_VIRTUAL`
    `static java.lang.String` | `KEY_WINDOWLESS`
    `static java.lang.String` | `LOCATION_HTTP`
    `static java.lang.String` | `LOCATION_LOCAL`
    `static java.lang.String` | `LOCATION_OMERO`
    `static java.lang.String` | `ORDER_DEFAULT`
    `static java.lang.String` | `ORDER_XYCTZ`
    `static java.lang.String` | `ORDER_XYCZT`
    `static java.lang.String` | `ORDER_XYTCZ`
    `static java.lang.String` | `ORDER_XYTZC`
    `static java.lang.String` | `ORDER_XYZCT`
    `static java.lang.String` | `ORDER_XYZTC`
    `static java.lang.String` | `ROIS_MODE_MANAGER`
    `static java.lang.String` | `ROIS_MODE_OVERLAY`
    `private java.util.List<java.lang.Boolean>` | `seriesOn`
    `private java.util.List<java.lang.Integer>` | `tBegin`
    `private java.util.List<java.lang.Integer>` | `tEnd`
    `private java.util.List<java.lang.Integer>` | `tStep`
    `private boolean` | `usePatternIds`
    `static java.lang.String` | `VIEW_BROWSER`
    `static java.lang.String` | `VIEW_HYPERSTACK`
    `static java.lang.String` | `VIEW_IMAGE_5D`
    `static java.lang.String` | `VIEW_NONE`
    `static java.lang.String` | `VIEW_STANDARD`
    `static java.lang.String` | `VIEW_VIEW_5D`
    `private java.util.List<java.lang.Integer>` | `zBegin`
    `private java.util.List<java.lang.Integer>` | `zEnd`
    `private java.util.List<java.lang.Integer>` | `zStep`

    - ### Fields inherited from class loci.plugins.prefs.OptionsList

      `INI_TYPE, options, TYPE_BOOLEAN, TYPE_STRING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImporterOptions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `checkKey(java.lang.String options, java.lang.String key)` Tests whether the given boolean key is set in the specified options.
    `void` | `checkObsoleteOptions()` Handles obsolete macro keys, for backward compatibility.
    `void` | `clearSeries()`
    `boolean` | `doCrop()`
    `boolean` | `doMustGroup()`
    `boolean` | `doStitchTiles()`
    `boolean` | `doUpgradeCheck()`
    `private <T> T` | `get(java.util.List<T> list, int index, T defaultValue)`
    `java.lang.String` | `getAutoscaleInfo()`
    `int` | `getCBegin(int s)`
    `int` | `getCEnd(int s)`
    `java.lang.String` | `getColorMode()`
    `java.lang.String` | `getColorModeInfo()`
    `java.lang.String[]` | `getColorModes()`
    `java.lang.String` | `getConcatenateInfo()`
    `java.lang.String` | `getCropInfo()`
    `loci.common.Region` | `getCropRegion(int s)`
    `int` | `getCStep(int s)`
    `java.awt.Color` | `getCustomColor(int s, int c)`
    `java.lang.String` | `getCustomColorKey(int s, int c)`
    `java.awt.Color` | `getDefaultCustomColor(int c)`
    `java.lang.String` | `getFirstTimeInfo()`
    `java.lang.String` | `getForceThumbnailsInfo()`
    `java.lang.String` | `getGroupFilesInfo()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getIdInfo()`
    `java.lang.String` | `getInputOrder(int s)`
    `java.lang.String` | `getLocation()`
    `java.lang.String` | `getLocationInfo()`
    `java.lang.String[]` | `getLocations()`
    `java.lang.String` | `getMustGroupInfo()`
    `java.lang.String` | `getOpenAllSeriesInfo()`
    `java.lang.String` | `getQuietInfo()`
    `java.lang.String` | `getROIsMode()`
    `java.lang.String` | `getROIsModeInfo()`
    `java.lang.String[]` | `getROIsModes()`
    `java.lang.String` | `getShowMetadataInfo()`
    `java.lang.String` | `getShowOMEXMLInfo()`
    `java.lang.String` | `getShowROIsInfo()`
    `java.lang.String` | `getSpecifyRangesInfo()`
    `java.lang.String` | `getSplitChannelsInfo()`
    `java.lang.String` | `getSplitFocalPlanesInfo()`
    `java.lang.String` | `getSplitTimepointsInfo()`
    `java.lang.String` | `getStackFormat()`
    `java.lang.String` | `getStackFormatInfo()`
    `java.lang.String[]` | `getStackFormats()`
    `java.lang.String` | `getStackOrder()`
    `java.lang.String` | `getStackOrderInfo()`
    `java.lang.String[]` | `getStackOrders()`
    `java.lang.String` | `getStitchTilesInfo()`
    `java.lang.String` | `getSwapDimensionsInfo()`
    `int` | `getTBegin(int s)`
    `int` | `getTEnd(int s)`
    `int` | `getTStep(int s)`
    `java.lang.String` | `getUngroupFilesInfo()`
    `java.lang.String` | `getUpgradeCheckInfo()`
    `java.lang.String` | `getVirtualInfo()`
    `java.lang.String` | `getWindowlessInfo()`
    `int` | `getZBegin(int s)`
    `int` | `getZEnd(int s)`
    `int` | `getZStep(int s)`
    `boolean` | `isAutoscale()`
    `boolean` | `isColorModeColorized()`
    `boolean` | `isColorModeComposite()`
    `boolean` | `isColorModeCustom()`
    `boolean` | `isColorModeDefault()`
    `boolean` | `isColorModeGrayscale()`
    `boolean` | `isConcatenate()`
    `boolean` | `isFirstTime()`
    `boolean` | `isForceThumbnails()`
    `boolean` | `isGroupFiles()`
    `boolean` | `isHTTP()`
    `boolean` | `isLocal()`
    `boolean` | `isOMERO()`
    `boolean` | `isQuiet()`
    `boolean` | `isSeriesOn(int s)`
    `boolean` | `isShowMetadata()`
    `boolean` | `isShowOMEXML()`
    `boolean` | `isSpecifyRanges()`
    `boolean` | `isSplitChannels()`
    `boolean` | `isSplitFocalPlanes()`
    `boolean` | `isSplitTimepoints()`
    `boolean` | `isSwapDimensions()`
    `boolean` | `isUngroupFiles()`
    `boolean` | `isUsingPatternIds()`
    `boolean` | `isViewBrowser()`
    `boolean` | `isViewHyperstack()`
    `boolean` | `isViewImage5D()`
    `boolean` | `isViewNone()`
    `boolean` | `isViewStandard()`
    `boolean` | `isViewView5D()`
    `boolean` | `isVirtual()`
    `boolean` | `isWindowless()`
    `boolean` | `openAllSeries()`
    `void` | `parseArg(java.lang.String arg)` Parses the plugin argument for parameter values.
    `private <T> void` | `set(java.util.List<T> list, int index, T value, T fillValue)`
    `void` | `setAutoscale(boolean b)`
    `void` | `setCBegin(int s, int value)`
    `void` | `setCEnd(int s, int value)`
    `void` | `setColorMode(java.lang.String s)`
    `void` | `setConcatenate(boolean b)`
    `void` | `setCrop(boolean b)`
    `void` | `setCropRegion(int s, loci.common.Region r)`
    `void` | `setCStep(int s, int value)`
    `void` | `setCustomColor(int s, int c, java.awt.Color color)`
    `void` | `setFirstTime(boolean b)`
    `void` | `setForceThumbnails(boolean b)`
    `void` | `setGroupFiles(boolean b)`
    `void` | `setId(java.lang.String s)`
    `void` | `setInputOrder(int s, java.lang.String value)`
    `void` | `setLocation(java.lang.String s)`
    `void` | `setMustGroup(boolean b)`
    `void` | `setOpenAllSeries(boolean b)`
    `void` | `setQuiet(boolean b)`
    `void` | `setROIsMode(java.lang.String s)`
    `void` | `setSeriesOn(int s, boolean value)`
    `void` | `setShowMetadata(boolean b)`
    `void` | `setShowOMEXML(boolean b)`
    `void` | `setShowROIs(boolean b)`
    `void` | `setSpecifyRanges(boolean b)`
    `void` | `setSplitChannels(boolean b)`
    `void` | `setSplitFocalPlanes(boolean b)`
    `void` | `setSplitTimepoints(boolean b)`
    `void` | `setStackFormat(java.lang.String s)`
    `void` | `setStackOrder(java.lang.String s)`
    `void` | `setStitchTiles(boolean b)`
    `void` | `setSwapDimensions(boolean b)`
    `void` | `setTBegin(int s, int value)`
    `void` | `setTEnd(int s, int value)`
    `void` | `setTStep(int s, int value)`
    `void` | `setUngroupFiles(boolean b)`
    `void` | `setUpgradeCheck(boolean b)`
    `void` | `setUsingPatternIds(boolean b)`
    `void` | `setVirtual(boolean b)`
    `void` | `setWindowless(boolean b)`
    `void` | `setZBegin(int s, int value)`
    `void` | `setZEnd(int s, int value)`
    `void` | `setZStep(int s, int value)`
    `boolean` | `showROIs()`

    - ### Methods inherited from class loci.plugins.prefs.OptionsList

      `equals, getBooleanOption, getDefaultValue, getInfo, getLabel, getOption, getPossible, getStringOption, getValue, hashCode, isPossible, isSaved, isSet, isSetByDefault, loadOptions, parseOptions, saveOptions, setValue, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KEY_AUTOSCALE

          public static final java.lang.String KEY_AUTOSCALE

      See Also:
        Constant Field Values

    - #### KEY_COLOR_MODE

          public static final java.lang.String KEY_COLOR_MODE

      See Also:
        Constant Field Values

    - #### KEY_CONCATENATE

          public static final java.lang.String KEY_CONCATENATE

      See Also:
        Constant Field Values

    - #### KEY_CROP

          public static final java.lang.String KEY_CROP

      See Also:
        Constant Field Values

    - #### KEY_FIRST

          public static final java.lang.String KEY_FIRST

      See Also:
        Constant Field Values

    - #### KEY_FORCE_THUMBS

          public static final java.lang.String KEY_FORCE_THUMBS

      See Also:
        Constant Field Values

    - #### KEY_GROUP_FILES

          public static final java.lang.String KEY_GROUP_FILES

      See Also:
        Constant Field Values

    - #### KEY_UNGROUP_FILES

          public static final java.lang.String KEY_UNGROUP_FILES

      See Also:
        Constant Field Values

    - #### KEY_ID

          public static final java.lang.String KEY_ID

      See Also:
        Constant Field Values

    - #### KEY_LOCATION

          public static final java.lang.String KEY_LOCATION

      See Also:
        Constant Field Values

    - #### KEY_OPEN_ALL_SERIES

          public static final java.lang.String KEY_OPEN_ALL_SERIES

      See Also:
        Constant Field Values

    - #### KEY_QUIET

          public static final java.lang.String KEY_QUIET

      See Also:
        Constant Field Values

    - #### KEY_SHOW_METADATA

          public static final java.lang.String KEY_SHOW_METADATA

      See Also:
        Constant Field Values

    - #### KEY_SHOW_OME_XML

          public static final java.lang.String KEY_SHOW_OME_XML

      See Also:
        Constant Field Values

    - #### KEY_SHOW_ROIS

          public static final java.lang.String KEY_SHOW_ROIS

      See Also:
        Constant Field Values

    - #### KEY_ROIS_MODE

          public static final java.lang.String KEY_ROIS_MODE

      See Also:
        Constant Field Values

    - #### KEY_SPECIFY_RANGES

          public static final java.lang.String KEY_SPECIFY_RANGES

      See Also:
        Constant Field Values

    - #### KEY_SPLIT_Z

          public static final java.lang.String KEY_SPLIT_Z

      See Also:
        Constant Field Values

    - #### KEY_SPLIT_T

          public static final java.lang.String KEY_SPLIT_T

      See Also:
        Constant Field Values

    - #### KEY_SPLIT_C

          public static final java.lang.String KEY_SPLIT_C

      See Also:
        Constant Field Values

    - #### KEY_STACK_FORMAT

          public static final java.lang.String KEY_STACK_FORMAT

      See Also:
        Constant Field Values

    - #### KEY_STACK_ORDER

          public static final java.lang.String KEY_STACK_ORDER

      See Also:
        Constant Field Values

    - #### KEY_SWAP_DIMS

          public static final java.lang.String KEY_SWAP_DIMS

      See Also:
        Constant Field Values

    - #### KEY_UPGRADE_CHECK

          public static final java.lang.String KEY_UPGRADE_CHECK

      See Also:
        Constant Field Values

    - #### KEY_VIRTUAL

          public static final java.lang.String KEY_VIRTUAL

      See Also:
        Constant Field Values

    - #### KEY_WINDOWLESS

          public static final java.lang.String KEY_WINDOWLESS

      See Also:
        Constant Field Values

    - #### KEY_STITCH_TILES

          public static final java.lang.String KEY_STITCH_TILES

      See Also:
        Constant Field Values

    - #### KEY_MUST_GROUP

          public static final java.lang.String KEY_MUST_GROUP

      See Also:
        Constant Field Values

    - #### COLOR_MODE_DEFAULT

          public static final java.lang.String COLOR_MODE_DEFAULT

      See Also:
        Constant Field Values

    - #### COLOR_MODE_COMPOSITE

          public static final java.lang.String COLOR_MODE_COMPOSITE

      See Also:
        Constant Field Values

    - #### COLOR_MODE_COLORIZED

          public static final java.lang.String COLOR_MODE_COLORIZED

      See Also:
        Constant Field Values

    - #### COLOR_MODE_GRAYSCALE

          public static final java.lang.String COLOR_MODE_GRAYSCALE

      See Also:
        Constant Field Values

    - #### COLOR_MODE_CUSTOM

          public static final java.lang.String COLOR_MODE_CUSTOM

      See Also:
        Constant Field Values

    - #### LOCATION_LOCAL

          public static final java.lang.String LOCATION_LOCAL

      See Also:
        Constant Field Values

    - #### LOCATION_HTTP

          public static final java.lang.String LOCATION_HTTP

      See Also:
        Constant Field Values

    - #### LOCATION_OMERO

          public static final java.lang.String LOCATION_OMERO

      See Also:
        Constant Field Values

    - #### ROIS_MODE_MANAGER

          public static final java.lang.String ROIS_MODE_MANAGER

      See Also:
        Constant Field Values

    - #### ROIS_MODE_OVERLAY

          public static final java.lang.String ROIS_MODE_OVERLAY

      See Also:
        Constant Field Values

    - #### VIEW_NONE

          public static final java.lang.String VIEW_NONE

      See Also:
        Constant Field Values

    - #### VIEW_STANDARD

          public static final java.lang.String VIEW_STANDARD

      See Also:
        Constant Field Values

    - #### VIEW_HYPERSTACK

          public static final java.lang.String VIEW_HYPERSTACK

      See Also:
        Constant Field Values

    - #### VIEW_BROWSER

          public static final java.lang.String VIEW_BROWSER

      See Also:
        Constant Field Values

    - #### VIEW_IMAGE_5D

          public static final java.lang.String VIEW_IMAGE_5D

      See Also:
        Constant Field Values

    - #### VIEW_VIEW_5D

          public static final java.lang.String VIEW_VIEW_5D

      See Also:
        Constant Field Values

    - #### CLASS_IMAGE_5D

          private static final java.lang.String CLASS_IMAGE_5D

      See Also:
        Constant Field Values

    - #### CLASS_VIEW_5D

          private static final java.lang.String CLASS_VIEW_5D

      See Also:
        Constant Field Values

    - #### ORDER_DEFAULT

          public static final java.lang.String ORDER_DEFAULT

      See Also:
        Constant Field Values

    - #### ORDER_XYZCT

          public static final java.lang.String ORDER_XYZCT

      See Also:
        Constant Field Values

    - #### ORDER_XYZTC

          public static final java.lang.String ORDER_XYZTC

      See Also:
        Constant Field Values

    - #### ORDER_XYCZT

          public static final java.lang.String ORDER_XYCZT

      See Also:
        Constant Field Values

    - #### ORDER_XYTCZ

          public static final java.lang.String ORDER_XYTCZ

      See Also:
        Constant Field Values

    - #### ORDER_XYCTZ

          public static final java.lang.String ORDER_XYCTZ

      See Also:
        Constant Field Values

    - #### ORDER_XYTZC

          public static final java.lang.String ORDER_XYTZC

      See Also:
        Constant Field Values

    - #### DEFAULT_COLORS

          private static final java.awt.Color[] DEFAULT_COLORS

      Default custom colors for each channel.

    - #### seriesOn

          private java.util.List<java.lang.Boolean> seriesOn

    - #### inputOrder

          private java.util.List<java.lang.String> inputOrder

    - #### cBegin

          private java.util.List<java.lang.Integer> cBegin

    - #### cEnd

          private java.util.List<java.lang.Integer> cEnd

    - #### cStep

          private java.util.List<java.lang.Integer> cStep

    - #### zBegin

          private java.util.List<java.lang.Integer> zBegin

    - #### zEnd

          private java.util.List<java.lang.Integer> zEnd

    - #### zStep

          private java.util.List<java.lang.Integer> zStep

    - #### tBegin

          private java.util.List<java.lang.Integer> tBegin

    - #### tEnd

          private java.util.List<java.lang.Integer> tEnd

    - #### tStep

          private java.util.List<java.lang.Integer> tStep

    - #### cropRegion

          private java.util.List<loci.common.Region> cropRegion

    - #### customColors

          private java.util.List<java.util.List<DoubleOption>> customColors

    - #### usePatternIds

          private boolean usePatternIds

  - ### Constructor Detail

    - #### ImporterOptions

          public ImporterOptions()
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### parseArg

          public void parseArg(java.lang.String arg)

      Parses the plugin argument for parameter values.

    - #### checkObsoleteOptions

          public void checkObsoleteOptions()

      Handles obsolete macro keys, for backward compatibility.

    - #### getAutoscaleInfo

          public java.lang.String getAutoscaleInfo()

    - #### isAutoscale

          public boolean isAutoscale()

    - #### setAutoscale

          public void setAutoscale(boolean b)

    - #### getColorModeInfo

          public java.lang.String getColorModeInfo()

    - #### getColorMode

          public java.lang.String getColorMode()

    - #### getColorModes

          public java.lang.String[] getColorModes()

    - #### isColorModeDefault

          public boolean isColorModeDefault()

    - #### isColorModeComposite

          public boolean isColorModeComposite()

    - #### isColorModeColorized

          public boolean isColorModeColorized()

    - #### isColorModeGrayscale

          public boolean isColorModeGrayscale()

    - #### isColorModeCustom

          public boolean isColorModeCustom()

    - #### setColorMode

          public void setColorMode(java.lang.String s)

    - #### getConcatenateInfo

          public java.lang.String getConcatenateInfo()

    - #### isConcatenate

          public boolean isConcatenate()

    - #### setConcatenate

          public void setConcatenate(boolean b)

    - #### getCropInfo

          public java.lang.String getCropInfo()

    - #### doCrop

          public boolean doCrop()

    - #### setCrop

          public void setCrop(boolean b)

    - #### getFirstTimeInfo

          public java.lang.String getFirstTimeInfo()

    - #### isFirstTime

          public boolean isFirstTime()

    - #### setFirstTime

          public void setFirstTime(boolean b)

    - #### getForceThumbnailsInfo

          public java.lang.String getForceThumbnailsInfo()

    - #### isForceThumbnails

          public boolean isForceThumbnails()

    - #### setForceThumbnails

          public void setForceThumbnails(boolean b)

    - #### getGroupFilesInfo

          public java.lang.String getGroupFilesInfo()

    - #### isGroupFiles

          public boolean isGroupFiles()

    - #### setGroupFiles

          public void setGroupFiles(boolean b)

    - #### getUngroupFilesInfo

          public java.lang.String getUngroupFilesInfo()

    - #### isUngroupFiles

          public boolean isUngroupFiles()

    - #### setUngroupFiles

          public void setUngroupFiles(boolean b)

    - #### getIdInfo

          public java.lang.String getIdInfo()

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId(java.lang.String s)

    - #### getLocationInfo

          public java.lang.String getLocationInfo()

    - #### getLocation

          public java.lang.String getLocation()

    - #### getLocations

          public java.lang.String[] getLocations()

    - #### isLocal

          public boolean isLocal()

    - #### isHTTP

          public boolean isHTTP()

    - #### isOMERO

          public boolean isOMERO()

    - #### setLocation

          public void setLocation(java.lang.String s)

    - #### getOpenAllSeriesInfo

          public java.lang.String getOpenAllSeriesInfo()

    - #### openAllSeries

          public boolean openAllSeries()

    - #### setOpenAllSeries

          public void setOpenAllSeries(boolean b)

    - #### getQuietInfo

          public java.lang.String getQuietInfo()

    - #### isQuiet

          public boolean isQuiet()

    - #### setQuiet

          public void setQuiet(boolean b)

    - #### getShowMetadataInfo

          public java.lang.String getShowMetadataInfo()

    - #### isShowMetadata

          public boolean isShowMetadata()

    - #### setShowMetadata

          public void setShowMetadata(boolean b)

    - #### getShowOMEXMLInfo

          public java.lang.String getShowOMEXMLInfo()

    - #### isShowOMEXML

          public boolean isShowOMEXML()

    - #### setShowOMEXML

          public void setShowOMEXML(boolean b)

    - #### getShowROIsInfo

          public java.lang.String getShowROIsInfo()

    - #### showROIs

          public boolean showROIs()

    - #### setShowROIs

          public void setShowROIs(boolean b)

    - #### getROIsModeInfo

          public java.lang.String getROIsModeInfo()

    - #### getROIsMode

          public java.lang.String getROIsMode()

    - #### getROIsModes

          public java.lang.String[] getROIsModes()

    - #### setROIsMode

          public void setROIsMode(java.lang.String s)

    - #### getSpecifyRangesInfo

          public java.lang.String getSpecifyRangesInfo()

    - #### isSpecifyRanges

          public boolean isSpecifyRanges()

    - #### setSpecifyRanges

          public void setSpecifyRanges(boolean b)

    - #### getSplitFocalPlanesInfo

          public java.lang.String getSplitFocalPlanesInfo()

    - #### isSplitFocalPlanes

          public boolean isSplitFocalPlanes()

    - #### setSplitFocalPlanes

          public void setSplitFocalPlanes(boolean b)

    - #### getSplitTimepointsInfo

          public java.lang.String getSplitTimepointsInfo()

    - #### isSplitTimepoints

          public boolean isSplitTimepoints()

    - #### setSplitTimepoints

          public void setSplitTimepoints(boolean b)

    - #### getSplitChannelsInfo

          public java.lang.String getSplitChannelsInfo()

    - #### isSplitChannels

          public boolean isSplitChannels()

    - #### setSplitChannels

          public void setSplitChannels(boolean b)

    - #### getStackFormatInfo

          public java.lang.String getStackFormatInfo()

    - #### getStackFormat

          public java.lang.String getStackFormat()

    - #### getStackFormats

          public java.lang.String[] getStackFormats()

    - #### isViewNone

          public boolean isViewNone()

    - #### isViewStandard

          public boolean isViewStandard()

    - #### isViewHyperstack

          public boolean isViewHyperstack()

    - #### isViewBrowser

          public boolean isViewBrowser()

    - #### isViewImage5D

          public boolean isViewImage5D()

    - #### isViewView5D

          public boolean isViewView5D()

    - #### setStackFormat

          public void setStackFormat(java.lang.String s)

    - #### getStackOrderInfo

          public java.lang.String getStackOrderInfo()

    - #### getStackOrder

          public java.lang.String getStackOrder()

    - #### getStackOrders

          public java.lang.String[] getStackOrders()

    - #### setStackOrder

          public void setStackOrder(java.lang.String s)

    - #### getSwapDimensionsInfo

          public java.lang.String getSwapDimensionsInfo()

    - #### isSwapDimensions

          public boolean isSwapDimensions()

    - #### setSwapDimensions

          public void setSwapDimensions(boolean b)

    - #### getUpgradeCheckInfo

          public java.lang.String getUpgradeCheckInfo()

    - #### doUpgradeCheck

          public boolean doUpgradeCheck()

    - #### setUpgradeCheck

          public void setUpgradeCheck(boolean b)

    - #### getVirtualInfo

          public java.lang.String getVirtualInfo()

    - #### isVirtual

          public boolean isVirtual()

    - #### setVirtual

          public void setVirtual(boolean b)

    - #### getWindowlessInfo

          public java.lang.String getWindowlessInfo()

    - #### isWindowless

          public boolean isWindowless()

    - #### setWindowless

          public void setWindowless(boolean b)

    - #### getStitchTilesInfo

          public java.lang.String getStitchTilesInfo()

    - #### doStitchTiles

          public boolean doStitchTiles()

    - #### setStitchTiles

          public void setStitchTiles(boolean b)

    - #### getMustGroupInfo

          public java.lang.String getMustGroupInfo()

    - #### doMustGroup

          public boolean doMustGroup()

    - #### setMustGroup

          public void setMustGroup(boolean b)

    - #### isSeriesOn

          public boolean isSeriesOn(int s)

    - #### setSeriesOn

          public void setSeriesOn(int s,
                                  boolean value)

    - #### clearSeries

          public void clearSeries()

    - #### getInputOrder

          public java.lang.String getInputOrder(int s)

    - #### setInputOrder

          public void setInputOrder(int s,
                                    java.lang.String value)

    - #### getCBegin

          public int getCBegin(int s)

    - #### setCBegin

          public void setCBegin(int s,
                                int value)

    - #### getCEnd

          public int getCEnd(int s)

    - #### setCEnd

          public void setCEnd(int s,
                              int value)

    - #### getCStep

          public int getCStep(int s)

    - #### setCStep

          public void setCStep(int s,
                               int value)

    - #### getZBegin

          public int getZBegin(int s)

    - #### setZBegin

          public void setZBegin(int s,
                                int value)

    - #### getZEnd

          public int getZEnd(int s)

    - #### setZEnd

          public void setZEnd(int s,
                              int value)

    - #### getZStep

          public int getZStep(int s)

    - #### setZStep

          public void setZStep(int s,
                               int value)

    - #### getTBegin

          public int getTBegin(int s)

    - #### setTBegin

          public void setTBegin(int s,
                                int value)

    - #### getTEnd

          public int getTEnd(int s)

    - #### setTEnd

          public void setTEnd(int s,
                              int value)

    - #### getTStep

          public int getTStep(int s)

    - #### setTStep

          public void setTStep(int s,
                               int value)

    - #### getCropRegion

          public loci.common.Region getCropRegion(int s)

    - #### setCropRegion

          public void setCropRegion(int s,
                                    loci.common.Region r)

    - #### getCustomColor

          public java.awt.Color getCustomColor(int s,
                                               int c)

    - #### setCustomColor

          public void setCustomColor(int s,
                                     int c,
                                     java.awt.Color color)

    - #### getDefaultCustomColor

          public java.awt.Color getDefaultCustomColor(int c)

    - #### getCustomColorKey

          public java.lang.String getCustomColorKey(int s,
                                                    int c)

    - #### isUsingPatternIds

          public boolean isUsingPatternIds()

    - #### setUsingPatternIds

          public void setUsingPatternIds(boolean b)

    - #### set

          private <T> void set(java.util.List<T> list,
                               int index,
                               T value,
                               T fillValue)

    - #### get

          private <T> T get(java.util.List<T> list,
                            int index,
                            T defaultValue)

    - #### checkKey

          protected boolean checkKey(java.lang.String options,
                                     java.lang.String key)

      Tests whether the given boolean key is set in the specified options.

Copyright © 2026 Open Microscopy Environment